## Apache Zeta Components Manual :: Docs For Class ezcGraphChartSingleDataContainer

### Graph::ezcGraphChartSingleDataContainer

### Class ezcGraphChartSingleDataContainer

Container class for datasets, which ensures, that only one dataset is used.

Needed for pie charts which can only display one dataset.

Source for this file: /Graph/src/data_container/single.php

    ezcGraphChartDataContainer
       |
       --ezcGraphChartSingleDataContainer

Version: | //autogentag//

### Inherited Member Variables

From ezcGraphChartDataContainer
protected | `ezcGraphChartDataContainer::$chart`
protected | `ezcGraphChartDataContainer::$data`

### Method Summary

protected ezcGraphDataSet | `addDataSet( $name , $dataSet )` Adds a dataset to the charts data

### Inherited Methods

From ezcGraphChartDataContainer
protected ezcGraphDataSet | `ezcGraphChartDataContainer::addDataSet()` Adds a dataset to the charts data
public int | `ezcGraphChartDataContainer::count()` Returns the number of datasets in the row.
public ezcGraphDataSet | `ezcGraphChartDataContainer::current()` Returns the currently selected dataset.
public int | `ezcGraphChartDataContainer::key()` Returns the key of the currently selected dataset.
public mixed | `ezcGraphChartDataContainer::next()` Returns the next dataset and selects it or false on the last dataset.
public bool | `ezcGraphChartDataContainer::offsetExists()` Returns if the given offset exists.
public ezcGraphDataSet | `ezcGraphChartDataContainer::offsetGet()` Returns the element with the given offset.
public void | `ezcGraphChartDataContainer::offsetSet()` Set the element with the given offset.
public void | `ezcGraphChartDataContainer::offsetUnset()` Unset the element with the given offset.
public ezcGraphDataSet | `ezcGraphChartDataContainer::rewind()` Selects the very first dataset and returns it.
public bool | `ezcGraphChartDataContainer::valid()` Returns if the current dataset is valid.

### Methods

#### addDataSet

ezcGraphDataSet addDataSet( string $name , ezcGraphDataSet $dataSet )

Adds a dataset to the charts data

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |
`$dataSet` | ezcGraphDataSet |

##### Exceptions:

Type | Description
--- | ---
`ezcGraphTooManyDataSetExceptions` | If too many datasets are created

##### Redefinition of:

Method | Description
--- | ---
`ezcGraphChartDataContainer::addDataSet()` | Adds a dataset to the charts data

Documentation generated by phpDocumentor 1.4.3